Name:           perl-Jcode
Version:        2.06
Release:        8%{?dist}

Summary:        Perl extension interface for converting Japanese text

License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Jcode/
Source0:        http://www.cpan.org/authors/id/D/DA/DANKOGAI/Jcode-2.06.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl-devel >= 3:5.8.1, perl-Test-Simple
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.


%prep
%setup -q -n Jcode-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Jcode*
%{_mandir}/man3/*.3*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.06-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.06-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.06-6
- rebuild for new perl

* Thu Sep 27 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.06-5
- fix license (thanks Tom)

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.06-4
- fix license tag (like perl itself)

* Mon Aug 13 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.06-3
- BR perl-Test-Simple

* Mon Aug 13 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.06-2
- BR perl-devel

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.06-1
- update to 2.06

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 2.03-3
- rebuild for FC5

* Thu Oct 27 2005 Aurelien Bompard <gauret[AT]free.fr> 2.03-2
- build as noarch (#171916)

* Sat Sep 03 2005 Aurelien Bompard <gauret[AT]free.fr> 2.03-1
- update to 2.03
- be closer to perl spec template

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Dec 04 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.88-0.fdr.1
- Update to 0.88

* Sun Jul 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.87-0.fdr.1
- Update to 0.87.
- Require perl(:MODULE_COMPAT_*).

* Mon Jun 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.86-0.fdr.1
- Update to 0.86.

* Sat Jun 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.85-0.fdr.1
- Update to 0.85.
- Bring up to date with current fedora.us Perl spec template.

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.4
- Reduce directory ownership bloat.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.3
- Install into vendor dirs.
- Specfile cleanup.

* Sun Jul  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.2
- Regenerate %%install section with cpanflute2, omit spurious *.pl.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.1
- Update to 0.83 and to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.82-1.fedora.1
- First Fedora release.
